Page MenuHomePhabricator

IR printing improvement for function passes - introducing -print-module-scope
ClosedPublic

Authored by fedor.sergeev on Nov 20 2017, 6:23 AM.

Details

Summary

When debugging function passes it happens to be rather useful to dump
the whole module before the transformation and then use this dump
to analyze this single transformation by running it separately
on that particular module state.

Introducing

-print-module-scope

debugging option that forces all the function-level IR dumps
to become whole-module dumps.

This option builds on top of normal dumping controls like

-print-before/after
-filter-print-funcs

The plan is to eventually extend this option to cover other local passes
(at least loop passes) but that should go as a separate change.

Event Timeline

fedor.sergeev created this revision.Nov 20 2017, 6:23 AM
fedor.sergeev added subscribers: skatkov, apilipenko.
weimingz edited edge metadata.Nov 30 2017, 11:03 AM

ping?

since https://reviews.llvm.org/D40247 is approved, this patch looks good.

fedor.sergeev accepted this revision.Dec 1 2017, 5:46 AM

I assume this was approved!

This revision is now accepted and ready to land.Dec 1 2017, 5:46 AM
This revision was automatically updated to reflect the committed changes.